## org.firebirdsql.jca
Interface FirebirdLocalTransaction

All Superinterfaces:
  javax.resource.spi.LocalTransaction

All Known Implementing Classes:
  FBLocalTransaction

    public interface FirebirdLocalTransaction

extends javax.resource.spi.LocalTransaction

Extention of the `LocalTransaction` interface to tell whether the underlying managed connection is currently participating in some transaction or not and to obtain the associated Xid.

Method Summary
`Xid` `getXid()` Get the associated Xid.
`boolean` `inTransaction()` Check if managed connection is currently participating in transaction.

Methods inherited from interface javax.resource.spi.LocalTransaction
`begin, commit, rollback`

Method Detail

### inTransaction

    boolean inTransaction()
                          throws javax.resource.ResourceException

  Check if managed connection is currently participating in transaction.

  Returns:
    `true` if managed connection is participating in transaction.
  Throws:
    `javax.resource.ResourceException` - if operation cannot be completed.

### getXid

    Xid getXid()

  Get the associated Xid.

  Returns:
    instance of `Xid` representing a transaction ID that is managed by this local transaction.

Copyright © 2001-2010. All Rights Reserved.